@import "utils/libs.sass"
@import "utils/vars.sass"
@import "utils/mixins.sass"
@import "utils/fonts.sass"
@import "utils/reset.sass"

html
  line-height: $mainLineHeight
  font-size: $mainFontSize
  color: $mainFontColor
  height: 100%
  @media screen and (max-width: $desktopWidth)
    font-size: 16px
  @media screen and (max-width: $tableWidth)
    font-size: 15px
  @media screen and (max-width: $phoneWidth)
    font-size: 14px

body
  margin: 0
  padding: 0
  // font-family: $mainFont
  font-size: $mainFontSize
  font-weight: $mainFontWeight
  -webkit-font-smoothing: antialiased
  -moz-osx-font-smoothing: grayscale

*, *:before, *:after
  box-sizing: border-box

h1, h2, h3, h4, h5, h6
  margin: 0

a
  text-decoration: none

ul, li
  margin: 0
  padding: 0
  list-style-type: none

section, .section
  position: relative
  padding: 40px 0
  @media screen and (max-width: $desktopWidth)
    padding: 36px 0
  @media screen and (max-width: $desktopWidth)
    padding: 28px 0
  @media screen and (max-width: $desktopWidth)
    padding: 20px 0

.wrapper
  display: flex
  flex-direction: column
  margin: 0 auto
  min-height: 100vh

.content-wrapper
  display: flex
  flex-direction: column
  min-height: 100vh

.container
  width: 100%
  flex: 0 0 auto
  position: relative
  margin: 0 auto
  max-width: $desktopWidth
  @media screen and (max-width: $smDesktopWidth)
    max-width: tableWidth
  @media screen and (max-width: $tableWidth)
    max-width: phoneWidth
  @media screen and (max-width: $phoneWidth)
    max-width: smPhoneWidth
    
// // Modules
@import "modules/header.sass";
